{namespace n=GeorgRinger\News\ViewHelpers}
{namespace drk=Drk\Template\ViewHelpers}
<?xml version="1.0" encoding="UTF-8" ?>
<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd"
	  xmlns:v="http://typo3.org/ns/FluidTYPO3/Vhs/ViewHelpers"
	  v:schemaLocation="https://fluidtypo3.org/schemas/vhs-master.xsd"
	  xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
	  data-namespace-typo3-fluid="true">
<body>

	<f:layout name="General" />

	<f:section name="content">
		<f:spaceless>
			<f:if condition="{news}">
				<f:then>
					<f:if condition="{settings.templateLayout} == 1">
						<f:then>
							<f:render section="newsSlider" arguments="{_all}" />
						</f:then>
						<f:else>
							<f:if condition="{f:cObject(typoscriptObjectPath: 'lib.pageid')}==6006">
								<f:then>
									<f:render section="newsReloaded" arguments="{_all}" />
								</f:then>
								<f:else>
									<f:render section="newsList" arguments="{_all}" />
								</f:else>
							</f:if>
						</f:else>
					</f:if>
				</f:then>
				<f:else>
					<div class="no-news-found">
						<f:translate key="list_nonewsfound" />
					</div>
				</f:else>
			</f:if>
		</f:spaceless>
	</f:section>


	<!--
		Standard News list
	-->
	<f:section name="newsList">
		<div class="frame o-cms-content">
			<div class="o-cms-content__body">
				<div class="c-teaser-list">
					<f:if condition="{settings.hidePagination}">
						<f:then>
							<f:for each="{news}" as="newsItem" iteration="iterator">
								<f:render partial="List/Item" section="item" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
							</f:for>
						</f:then>
						<f:else>
                            <drk:pagination.paginate objects="{news}" as="paginatedNews" itemsPerPage="10">

								<f:for each="{paginatedNews}" as="newsItem" iteration="iterator">
									<f:render partial="List/Item" section="item" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
								</f:for>
							</drk:pagination.paginate>
						</f:else>
					</f:if>
				</div>
			</div>
		</div>
	</f:section>

	<!--
		News slider
	-->
	<f:section name="newsSlider">
		<section class="c-news-slider   o-section">
			<div class="o-section__wrapper">
				<header class="o-section__header">
					<h2 class="c-news-slider__headline   o-section__headline">
						<f:if condition="{contentObjectData.header_layout} == 10">
							<f:then>
								{contentObjectData.header}
							</f:then>
							<f:else>
								<f:translate extensionName="DrkTemplate" key="news" />
							</f:else>
						</f:if>
					</h2>
				</header>

				<div class="c-news-slider__list o-slider js-slider" data-slides-to-show="2">
					<f:for each="{news}" as="newsItem" iteration="iterator">
						<f:render
							arguments="{newsItem: newsItem,settings:settings,iterator:iterator}"
							partial="List/SliderItem"
							section="content"/>
					</f:for>

				</div>
			</div>
		</section>
	</f:section>


	<f:section name="newsReloaded">
		<section class="c-news-slider__list js-slider o-section clearfix" data-slides-to-show="3">
				<f:for each="{news}" as="newsItem" iteration="iterator">
					<f:render
							arguments="{newsItem: newsItem,settings:settings,iterator:iterator}"
							partial="List/ReloadedItem"
							section="item"/>
				</f:for>
				<strong class="news-more"><a href="/hilfe-weltweit/aktuelles-weltweit/" title="Aktuelles weltweit">mehr erfahren &gt;</a></strong>
		</section>
	</f:section>

</body>
</html>
